#
# spec file for package lua-luaterm
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name luaterm
%define rname lua-term
Version:        0.07
Release:        8.5
Summary:        Terminal operations for Lua
License:        MIT
URL:            https://github.com/hoelzro/lua-term
Source:         https://github.com/hoelzro/lua-term/archive/%{version}.tar.gz#$/%{rname}-%{version}.tar.gz
BuildRequires:  %{flavor}-devel
BuildRequires:  lua-macros
Requires:       %{flavor}
%lua_provides
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
This package provides terminal operations for Lua

%prep
%setup -q -n %{rname}-%{version}

%build
make %{?_make_output_sync} %{?_smp_mflags} \
	CWARNS="%{optflags}" \
	LUA_INC=%{lua_incdir} \
	LUA_SHARE=%{lua_noarchdir}/term \
	LUA_LIBDIR=%{lua_archdir}/term

%install
%make_install \
        CWARNS="%{optflags}" \
        LUA_INC=%{lua_incdir} \
        LUA_SHARE=%{buildroot}%{lua_noarchdir}/term \
        LUA_LIBDIR=%{buildroot}%{lua_archdir}/term

%files
%dir %{lua_archdir}/term
%{lua_archdir}/term/core.so*
%dir %{lua_noarchdir}/term
%{lua_noarchdir}/term

%changelog
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Opencode %%make_build to prevent build failure when not defined.
* Wed Nov 23 2022 Michal Suchanek <msuchanek@suse.com>
- Fix missing dependency on lua-macros (boo#1205612)
* Wed Jan 27 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%lua_provides macro
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Mon Oct 28 2019 Matej Cepl <mcepl@suse.com>
- Run spec-cleaner.
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Thu Aug 10 2017 tchvatal@suse.com
- Fix provides/obsoletes for the old package name
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild layout to deploy all lua versions at once
* Thu Jul 13 2017 tchvatal@suse.com
- Fix build with namespaced lua
* Wed Jan  4 2017 eich@suse.com
- Replaced 'makeinstall' by 'make_install'.
* Mon Oct 17 2016 eich@suse.com
- Setting 'download_files' service to mode='localonly'
  and adding source tarball. (Required for Factory).
* Wed Oct 12 2016 eich@suse.com
- Initial import of lua-term version 0.07
